## org.hibernate.internal.jaxb.mapping.hbm
Enum JaxbGeneratedAttribute

    java.lang.Object
      java.lang.Enum<JaxbGeneratedAttribute>
          org.hibernate.internal.jaxb.mapping.hbm.JaxbGeneratedAttribute

All Implemented Interfaces:
  Serializable, Comparable<JaxbGeneratedAttribute>

    public enum JaxbGeneratedAttribute

extends Enum<JaxbGeneratedAttribute>

Java class for generated-attribute.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="generated-attribute">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="always"/>
         <enumeration value="never"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`ALWAYS`
`NEVER`

Method Summary
`static JaxbGeneratedAttribute` `fromValue(String v)`
`String` `value()`
`static JaxbGeneratedAttribute` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbGeneratedAttribute[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final JaxbGeneratedAttribute ALWAYS

### NEVER

    public static final JaxbGeneratedAttribute NEVER

Method Detail

### values

    public static JaxbGeneratedAttribute[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbGeneratedAttribute c : JaxbGeneratedAttribute.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbGeneratedAttribute valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbGeneratedAttribute fromValue(String v)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.